system "mkdir pssm";
system "perl fasta.pl $ARGV[0] > fastafile";
system "grep '>' fastafile |sort -u > protein_id";
system "perl psiblast_pssm.pl fastafile";
system "mv *_pssm pssm/";
system "perl extractcol.pl";
system "rm temp";
system "perl replacebyzero.pl";
system "perl svm_filemake.pl > svm_input";
system "/svm_light/svm_classify svm_input selected_models/1_model svm_score";
system "/svm_light/svm_classify svm_input selected_models/ABC_model svm_score1";
system "/svm_light/svm_classify svm_input selected_models/MATE_model svm_score2";
system "/svm_light/svm_classify svm_input selected_models/MFS_model svm_score3";
system "/svm_light/svm_classify svm_input selected_models/RND_model svm_score4";
system "paste -d '#' protein_id svm_input svm_score svm_score1 svm_score2 svm_score3 svm_score4 > final_svm_input";
open(RESULT,">>Result") or die "$!";
print RESULT "Protein ID\tPrediction\n";
close RESULT;
open(FH,"final_svm_input") or die "$!";
while($line1=<FH>)
{
    chomp($line1);
    print "$line1\n";
    @svm=split(/#/,$line1);
    if($svm[2] < $ARGV[1])
    {
	open(RESULT,">>Result") or die "$!";
	print RESULT "$svm[0]\tnon-efflux\n";
	close RESULT;
    }
    else
   {
	if(($svm[3] > $svm[4])&&($svm[3] > $svm[5])&&($svm[3] > $svm[6]))
	{
                open(RESULT,">>Result") or die "$!";
                print RESULT "$svm[0]\tABC sub-family\n";
                close RESULT;
            }
            if(($svm[4] > $svm[3])&&($svm[4] > $svm[5])&&($svm[4] > $svm[6]))
            {
                open(RESULT,">>Result") or die "$!";
                print RESULT "$svm[0]\tMATE sub-family\n";
                close RESULT;
            }
	if(($svm[5] > $svm[3])&&($svm[5] > $svm[4])&&($svm[5] > $svm[6]))
            {
                open(RESULT,">>Result") or die "$!";
                print RESULT "$svm[0]\tMFS sub-family\n";
                close RESULT;
            }
	if(($svm[6] > $svm[3])&&($svm[6] > $svm[4])&&($svm[6] > $svm[5]))
	{
	    open(RESULT,">>Result") or die "$!";
	    print RESULT "$svm[0]\tRND sub-family\n";
	    close RESULT;
	}
}
}

system "cp Result Result_predicted";
system "rm  *.out svm_score* list* fastafile protein_id final_svm_input svm_input error.log Result";
system "rm -r pssm/";  
